Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Samuel Thibault <[email-masked]>
Date: Sun, 12 Jun 2022 19:23:05 +0200

Greg KH, le ven. 20 mai 2022 21:08:13 +0200, a ecrit:
> On Fri, May 20, 2022 at 07:46:37PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the soundwire tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > make[4]: *** Deleting file 'drivers/accessibility/speakup/mapdata.h'
> > can't open ./include/linux/input.h
> > make[4]: *** [/home/sfr/next/next/drivers/accessibility/speakup/Makefile:46: drivers/accessibility/speakup/mapdata.h] Error 1
> > make[3]: *** [/home/sfr/next/next/scripts/Makefile.build:542: drivers/accessibility/speakup] Error 2
> > 
> > Caused by commit
> > 
> >   6646b95aab5f ("speakup: Generate speakupmap.h automatically")
> > 
> > I have used the char-misc tree from next-20220519 for today.
> 
> Ugh, odd, this worked for me.

Ah, that's about out-of-tree builds.

> I'll go revert this.  Samuel, can you rework this again?

Yes, I have submitted a fixed patch.

Samuel